

import java.util.Collection;
import java.util.Date;

public class Orders {

	/**
	 * @uml.property  name="Id_customer"
	 */
	private String id_customer = "";

	/**
	 * Getter of the property <tt>Id_customer</tt>
	 * @return  Returns the id_customer.
	 * @uml.property  name="Id_customer"
	 */
	public String getId_customer() {
		return id_customer;
	}

	/**
	 * Setter of the property <tt>Id_customer</tt>
	 * @param Id_customer  The id_customer to set.
	 * @uml.property  name="Id_customer"
	 */
	public void setId_customer(String id_customer) {
		this.id_customer = id_customer;
	}

	/**
	 * @uml.property  name="Id_movie" multiplicity="(0 -1)" dimension="1"
	 */
	private String[] id_movies;

	/**
	 * Getter of the property <tt>Id_movie</tt>
	 * @return  Returns the id_movies.
	 * @uml.property  name="Id_movie"
	 */
	public String[] getId_movie() {
		return id_movies;
	}

	/**
	 * Setter of the property <tt>Id_movie</tt>
	 * @param Id_movie  The id_movies to set.
	 * @uml.property  name="Id_movie"
	 */
	public void setId_movie(String[] id_movie) {
		id_movies = id_movie;
	}

	/**
	 * @uml.property  name="Id_contract"
	 */
	private String id_contract = "";

	/**
	 * Getter of the property <tt>Id_contract</tt>
	 * @return  Returns the id_contract.
	 * @uml.property  name="Id_contract"
	 */
	public String getId_contract() {
		return id_contract;
	}

	/**
	 * Setter of the property <tt>Id_contract</tt>
	 * @param Id_contract  The id_contract to set.
	 * @uml.property  name="Id_contract"
	 */
	public void setId_contract(String id_contract) {
		this.id_contract = id_contract;
	}

	/**
	 * @uml.property  name="Date"
	 */
	private Date date;

	/**
	 * Getter of the property <tt>Date</tt>
	 * @return  Returns the date.
	 * @uml.property  name="Date"
	 */
	public Date getDate() {
		return date;
	}

	/**
	 * Setter of the property <tt>Date</tt>
	 * @param Date  The date to set.
	 * @uml.property  name="Date"
	 */
	public void setDate(Date date) {
		this.date = date;
	}

	/** 
	 * @uml.property name="customer"
	 * @uml.associationEnd multiplicity="(1 1)" aggregation="shared" inverse="orders:Customer"
	 */
	private Collection customer;

	/** 
	 * Getter of the property <tt>customer</tt>
	 * @return  Returns the customer.
	 * @uml.property  name="customer"
	 */
	public Collection getCustomer() {
		return customer;
	}

	/** 
	 * Setter of the property <tt>customer</tt>
	 * @param customer  The customer to set.
	 * @uml.property  name="customer"
	 */
	public void setCustomer(Collection customer) {
		this.customer = customer;
	}

	/** 
	 * @uml.property name="customer1"
	 * @uml.associationEnd inverse="orders1:Customer"
	 * @uml.association name="order"
	 */
	private Customer customer1;

	/** 
	 * Getter of the property <tt>customer1</tt>
	 * @return  Returns the customer1.
	 * @uml.property  name="customer1"
	 */
	public Customer getCustomer1() {
		return customer1;
	}

	/** 
	 * Setter of the property <tt>customer1</tt>
	 * @param customer1  The customer1 to set.
	 * @uml.property  name="customer1"
	 */
	public void setCustomer1(Customer customer1) {
		this.customer1 = customer1;
	}

	/** 
	 * @uml.property name="movie"
	 * @uml.associationEnd inverse="orders:Movie"
	 * @uml.association name="concern"
	 */
	private Movie movie;

	/** 
	 * Getter of the property <tt>movie</tt>
	 * @return  Returns the movie.
	 * @uml.property  name="movie"
	 */
	public Movie getMovie() {
		return movie;
	}

	/** 
	 * Setter of the property <tt>movie</tt>
	 * @param movie  The movie to set.
	 * @uml.property  name="movie"
	 */
	public void setMovie(Movie movie) {
		this.movie = movie;
	}

	/** 
	 * @uml.property name="customer2"
	 * @uml.associationEnd aggregation="composite" inverse="orders2:Customer"
	 * @uml.association name="order"
	 */
	private Customer customer2;

	/** 
	 * Getter of the property <tt>customer2</tt>
	 * @return  Returns the customer2.
	 * @uml.property  name="customer2"
	 */
	public Customer getCustomer2() {
		return customer2;
	}

	/** 
	 * Setter of the property <tt>customer2</tt>
	 * @param customer2  The customer2 to set.
	 * @uml.property  name="customer2"
	 */
	public void setCustomer2(Customer customer2) {
		this.customer2 = customer2;
	}

	/** 
	 * @uml.property name="movie1"
	 * @uml.associationEnd aggregation="shared" inverse="orders1:Movie"
	 * @uml.association name="concern"
	 */
	private Movie movie1;

	/** 
	 * Getter of the property <tt>movie1</tt>
	 * @return  Returns the movie1.
	 * @uml.property  name="movie1"
	 */
	public Movie getMovie1() {
		return movie1;
	}

	/** 
	 * Setter of the property <tt>movie1</tt>
	 * @param movie1  The movie1 to set.
	 * @uml.property  name="movie1"
	 */
	public void setMovie1(Movie movie1) {
		this.movie1 = movie1;
	}

	/**
	 * @uml.property  name="report"
	 * @uml.associationEnd  inverse="orders:Report"
	 * @uml.association  name="concern"
	 */
	private Report report;

	/**
	 * Getter of the property <tt>report</tt>
	 * @return  Returns the report.
	 * @uml.property  name="report"
	 */
	public Report getReport() {
		return report;
	}

	/**
	 * Setter of the property <tt>report</tt>
	 * @param report  The report to set.
	 * @uml.property  name="report"
	 */
	public void setReport(Report report) {
		this.report = report;
	}

	/**
	 * @uml.property  name="customer3"
	 * @uml.associationEnd  aggregation="composite" inverse="orders3:Customer"
	 * @uml.association  name="order"
	 */
	private Customer customer3;

	/**
	 * Getter of the property <tt>customer3</tt>
	 * @return  Returns the customer3.
	 * @uml.property  name="customer3"
	 */
	public Customer getCustomer3() {
		return customer3;
	}

	/**
	 * Setter of the property <tt>customer3</tt>
	 * @param customer3  The customer3 to set.
	 * @uml.property  name="customer3"
	 */
	public void setCustomer3(Customer customer3) {
		this.customer3 = customer3;
	}

	/**
	 * @uml.property  name="product"
	 * @uml.associationEnd  aggregation="shared" inverse="orders:Product"
	 * @uml.association  name="concern"
	 */
	private Product product;

	/**
	 * Getter of the property <tt>product</tt>
	 * @return  Returns the product.
	 * @uml.property  name="product"
	 */
	public Product getProduct() {
		return product;
	}

	/**
	 * Setter of the property <tt>product</tt>
	 * @param product  The product to set.
	 * @uml.property  name="product"
	 */
	public void setProduct(Product product) {
		this.product = product;
	}

	/** 
	 * @uml.property name="report1"
	 * @uml.associationEnd inverse="orders1:Report"
	 * @uml.association name="concern"
	 */
	private Report report1;

	/** 
	 * Getter of the property <tt>report1</tt>
	 * @return  Returns the report1.
	 * @uml.property  name="report1"
	 */
	public Report getReport1() {
		return report1;
	}

	/** 
	 * Setter of the property <tt>report1</tt>
	 * @param report1  The report1 to set.
	 * @uml.property  name="report1"
	 */
	public void setReport1(Report report1) {
		this.report1 = report1;
	}

}
